Agora Java API Reference for Android

Classes | Public Member Functions | Public Attributes | List of all members
io.agora.rtc2.ScreenCaptureParameters Class Reference

Screen sharing configurations. More...

## Classes
class | AudioCaptureParameters
| The audio configuration for the shared screen stream. More...
class | VideoCaptureParameters
| The video configuration for the shared screen stream. More...

## Public Member Functions
boolean | isCaptureAudio ()
VideoCaptureParameters | getVideoCaptureParameters ()
boolean | isCaptureVideo ()
AudioCaptureParameters | getAudioCaptureParameters ()
String | toString ()

## Public Attributes
boolean | captureAudio = false
VideoCaptureParameters | videoCaptureParameters = new VideoCaptureParameters()
boolean | captureVideo = true
AudioCaptureParameters | audioCaptureParameters = new AudioCaptureParameters()

## Detailed Description

Screen sharing configurations.

Since
  v3.7.0

## Member Data Documentation

## ◆ captureAudio

boolean io.agora.rtc2.ScreenCaptureParameters.captureAudio = false

Determines whether to capture system audio during screen sharing:

- `true`: Capture system audio.
- `false`: (Default) Do not capture system audio.
  Note
- Due to system limitations, capturing system audio is only applicable to Android API level 29 and later (that is, Android 10 and later).
- To improve the success rate of capturing system audio during screen sharing, ensure that you have called the `setAudioScenario` method and set the audio scenario to `AUDIO_SCENARIO_GAME_STREAMING`.

## ◆ videoCaptureParameters

VideoCaptureParameters io.agora.rtc2.ScreenCaptureParameters.videoCaptureParameters = new VideoCaptureParameters()

The video configuration for the shared screen stream. See VideoCaptureParameters.

## ◆ captureVideo

boolean io.agora.rtc2.ScreenCaptureParameters.captureVideo = true

Whether to capture the screen when screen sharing:

- `true`: (Default) Capture the screen.
- `false`: Do not capture the screen.
  Note
    Due to system limitations, the capture screen is only applicable to Android API level 21 and above, that is, Android 5 and above.

## ◆ audioCaptureParameters

AudioCaptureParameters io.agora.rtc2.ScreenCaptureParameters.audioCaptureParameters = new AudioCaptureParameters()

The audio configuration for the shared screen stream. See AudioCaptureParameters.